.main-layout {
  height: 100vh;
  display: flex;

  .main-layout-sidebar {
    height: 100%;
    z-index: 999;
  }

  .main-layout-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;

    .main-layout-navbar {
      height: 105px;
    }

    .main-layout-outlet {
      height: 100%;
      max-height: 100%;
      overflow-y: scroll;
      overflow-x: hidden;
      padding: 26px 48px 26px 36px;
      background: #fff;
    }
  }

  .main-layout-shadow {
    display: none;
    position: fixed;
    width: 100%;
    z-index: 998;
    box-shadow: 0 0 0 10000px rgba(0, 0, 0, 0.5);
  }

  @media only screen and (max-width: 1024px) {
    .main-layout-sidebar {
      padding: 0;
      position: absolute;
      top: 0;
      left: -280px;
      height: 100vh;
      transition: all 0.35s ease-out;
    }

    .main-layout-toggle-mobile-sidebar {
      left: 0;
    }

    .main-layout-shadow {
      display: block;
    }

    .main-layout-disable-events {
      pointer-events: none;
    }
  }
}
